server {
    listen 80;

    server_name staging-deadlock-demo.takima.io www.staging-deadlock-demo.takima.io;


    location ^~ /.well-known/acme-challenge/ {
        allow all;
        root /var/www/certbot;
    }


}
server {
    listen 443 ssl;
    server_name staging-deadlock-demo.takima.io www.staging-deadlock-demo.takima.io;

    location / {
            proxy_pass http://staging-deadlock-demo.takima.io;
        }

    ssl_certificate /etc/letsencrypt/live/staging-deadlock-demo.takima.io/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/staging-deadlock-demo.takima.io/privkey.pem;
    include /etc/letsencrypt/options-ssl-nginx.conf;
    ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem;
}